Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 603707 - cifs: busy file renames across directories should fail with error
cifs: busy file renames across directories should fail with error
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
high Severity medium
: rc
: ---
Assigned To: Jeff Layton
yanfu,wang
:
Depends On:
Blocks: 591938 603706
  Show dependency treegraph
 
Reported: 2010-06-14 08:18 EDT by Jeff Layton
Modified: 2014-06-18 03:40 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 603706
Environment:
Last Closed: 2010-11-11 10:53:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 RHEL Product and Program Management 2010-06-14 08:43:01 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Aristeu Rozanski 2010-07-01 12:23:08 EDT
Patch(es) available on kernel-2.6.32-42.el6
Comment 6 yanfu,wang 2010-09-01 23:28:47 EDT
I verified on rhel6-snaphshot13 but still got 'Text file busy' error using the reproducer:

[root@amd-dinar-03 test]# uname -a
Linux amd-dinar-03.lab.bos.redhat.com 2.6.32-70.el6.i686 #1 SMP Wed Aug 25 10:10:17 EDT 2010 i686 i686 i386 GNU/Linux

win2k3 share dir is temp:
[root@amd-dinar-03 test]# mount
...
//10.66.65.54/temp/ on /mnt/test type cifs (rw,mand)

[root@amd-dinar-03 test]# ls -l        
total 0
-rwxr-xr-x. 1 root root 3890 Jan 24  2011 aa
drwxr-xr-x. 1 root root    0 Jan 24  2011 done
[root@amd-dinar-03 test]# mv aa done/bb
mv: cannot move `aa' to `done/bb': Text file busy
Comment 7 Jeff Layton 2010-09-02 06:47:19 EDT
That's expected. The error is expected when the file is open and you try to rename it across directories. The bug was that the file would be renamed but would stay in the original directory.
Comment 8 Ric Wheeler 2010-09-02 09:43:06 EDT
This works as we expect it to work. Can we please sync up on the test case and make sure that this is resolved?

Thanks!
Comment 9 Denise Dumas 2010-09-02 09:50:37 EDT
Based on above comments, moving back to on-qa
Comment 10 yanfu,wang 2010-09-03 03:20:50 EDT
verified on i386 and x86_64 on rhel6-snaphshot13, the results same as comment #6 and comment #7.
Comment 11 releng-rhel@redhat.com 2010-11-11 10:53:38 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.